# 64bit
# source https://github.com/vogel/injeqt/archive/1.0.1.tar.gz

%global	name	injeqt
%global version	1.0.1
%global release	%mkrel 1
%global major	0
%global libname %mklibname %{name} %{major}
%global develname %mklibname %{name} -d

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Dependency injection framework for Qt
Group:		System/Libraries
License:        LGPLv2.1
URL:            https://github.com/vogel/injeqt
Source0:        %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}/buildroot
BuildRequires:	cmake
BuildRequires:  %{_lib}qt5core-devel

%description
%{summary}.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Dependency injection is an implementation of inverse of control and can be
used to increase program modularity and extendability. In general it also
results in more testable source code.

There is a lot of dependency injection frameworks for bytecode based languages
like Java and C#, for instance Guice and Spring. C++ lacks reflection facilities
that make dependency injection so powerfull in these languages.

Injeqt is an attempt to build a powerful and reliable dependency injection
framework on Qt's reflection based on MOC (meta-object compiler).
For version 0.1 some basic features were implemented.

%package -n     %{develname}
Summary:        Header files for %{name}.
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for %{name}.

%prep
%setup -q

%build
%__rm -rf %{buildroot}
%cmake_qt5 \
  -DDISABLE_EXAMPLES=ON \
  -DDISABLE_TESTS=ON
%make

%install
rm -rf %buildroot
%make_install -C build

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Feb 13 2016 marcin82 <fixxer1982@gmail.com> 1.0.1-1pclos2016
- Import to PCLinuxOS
